package m05bReparacionEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bReparacion;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05ReparacionEB</tt>.
 *
 * @see     m05.exe.Reparacion 
 * @see     m05.exe.M05ReparacionEBHome
 * @see     m05.exe.M05ReparacionEBPK
 * @see     m05.exe.M05ReparacionEBBean 
 */
public interface m05Reparacion extends EJBObject{

  public String getRep_codigo()throws RemoteException;  
  public void setRep_codigo(String n)throws RemoteException;  
  
  public String getRep_descripcion()throws RemoteException;  
  public void setRep_descripcion(String n)throws RemoteException;  

  public String getRep_observacion()throws RemoteException;  
  public void setRep_observacion(String n)throws RemoteException;  
  public String getRep_descripcionEu()throws RemoteException;  
  public void setRep_descripcionEu(String n)throws RemoteException;  

  public String getRep_observacionEu()throws RemoteException;  
  public void setRep_observacionEu(String n)throws RemoteException;  

  /**
   * Returns the Reparacion information of this E-EJB.
   */   
  public m05bReparacion getReparacion()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Reparacion <tt>rep_codigo</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setReparacion(Reparacion reparacion)
    throws RemoteException, Exception;    */

}	